package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.segmentation.OcrRuleApi;
import com.docus.server.dto.segmentation.ocrrule.AddOcrRuleDTO;
import com.docus.server.dto.segmentation.ocrrule.DeleteOcrRuleDTO;
import com.docus.server.dto.segmentation.ocrrule.EditOcrRuleDTO;
import com.docus.server.service.IOcrRuleService;
import com.docus.server.vo.segmentation.ocrrule.OcrRuleVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 匹配策略表 控制器类
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@Api(value = "匹配策略表", tags = "匹配策略表")
@RestController
public class OcrRuleController implements OcrRuleApi {
    @Resource
    private IOcrRuleService iOcrRuleService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @Override
    public OcrRuleVO findById(Long id) {
        return iOcrRuleService.findById(id);
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @ApiOperation("查询所有")
    @Override
    public List<OcrRuleVO> findAll() {
        return iOcrRuleService.findAll();
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @Override
    public PageResult<OcrRuleVO> search(SearchDTO searchDTO) {
        return iOcrRuleService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addOcrRuleDTO 编辑参数
     */
    @ApiOperation("新增")
    @Override
    public void add(AddOcrRuleDTO addOcrRuleDTO) {
        iOcrRuleService.add(addOcrRuleDTO);
    }

    /**
     * 编辑
     *
     * @param editOcrRuleDTO 编辑参数
     */
    @ApiOperation("编辑")
    @Override
    public void edit(EditOcrRuleDTO editOcrRuleDTO) {
        iOcrRuleService.edit(editOcrRuleDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteOcrRuleDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @Override
    public int delete(DeleteOcrRuleDTO deleteOcrRuleDTO) {
        return iOcrRuleService.delete(deleteOcrRuleDTO);
    }
}
